
export PROJECT="bij1.erp"
export VERSION=$(python -m setuptools_scm)
export DOCKER_IMAGE="$PROJECT:$VERSION"
export DOCKER_REGISTRY="registry.bij1.org"
export DOCKER_BUILDKIT=1
export TAG_VERSION="$DOCKER_REGISTRY/$DOCKER_IMAGE"
export TAG_LATEST="$DOCKER_REGISTRY/${PROJECT}:latest"



build () {
	echo "build ${DOCKER_IMAGE}"
	docker build \
		--build-arg PROJECT_VERSION=$VERSION \
		--tag $DOCKER_IMAGE .
	docker tag $DOCKER_IMAGE $TAG_VERSION
	docker tag $DOCKER_IMAGE $TAG_LATEST
	docker tag $DOCKER_IMAGE $PROJECT:latest
}

push() {
	docker login -p ${REGISTRY_PASSWORD} -u docker $DOCKER_REGISTRY
	docker push $TAG_VERSION
	docker push $TAG_LATEST
}


case "$1" in
	build)
		build
		;;
	push)
		push
		;;
esac
