
from trytond.model import ModelSQL, fields

class Membership(ModelSQL):
    """Represents membership relations"""
    __name__ = "membership.membership"
    _rec_name = "membership_membership"

    # a single party may have joined and left multiple times
    party = fields.Many2One('party.party', "Party", required=True)

    # date-range of membership period
    since = fields.Date("since")
    until = fields.Date("until")

    # status of membership
    status = fields.Char("status")
