# bij1.erp

Proof of concept administratie en boekhouding

Op basis van het open-source Tryton ERP systeem.

https://www.tryton.org


Tryton bevat alle data, business logica en biedt een beheer interface aan. Deze kan via een browser
worden benaderd, maar er zijn ook desktop clients beschikbaar. Voor koppelen van een desktop client
volgen later meer instructies.

De enigen die rechtstreeks in Tryton zullen werken zullen alleen mensen zijn die toegang nodig
hebben tot de financiele administratie en het ledenbeheer.

De FastAPI biedt een 'zelf-documenterende' REST webservice aan die op een veilige manier externe
services toegang zal bieden tot beperkte delen van de tryton functionaliteit: het aanmaken van
nieuwe leden, het stopzetten of anderzins aanpassen van een lidmaatschap, aanpassen adres
informatie, etc.

## vereisten

- python 3.11 of beter
- postgresql

## installatie

1. voorbereiden

```
python -mvenv .venv
source .venv/bin/activate
pip install pdm
pdm use .venv/bin/python
```

2. installeren

```
make install frontend
```

3. database initialiseren

```
make setup
```

4. starten

```
make run
```

De tryton webserver draait op http://localhost:8000 Gebruik daar als login
the gebruiker en password die in stap 3 zijn opgegeven.

De fastapi webserver draait op http://localhost:5000. 

Na eerste keer opstarten van een nieuwe omgeving en database, zullen er een 
paar configuratie 'wizards' moeten worden doorlopen. Voor nu bevatten deze
nog geen maatwerk. Voor de proof-of-concept gebruiken we enkel standaard
modules vanuit de core tryton community. Deze bieden tesamen een robuust 
fundament voor een betrouwbare boekhouding en administratie, inclusief
periodiek factureren van abonnementen zoals het lidmaatschap.


## import airtable

```
make sync
```

zal de meest recente data uit airtable downloaden (BIJ1/leden) en vervolgens
importeren in tryton.

## todo
- Subscription model (contributies) valideren en eventueel uitbreiden
- Koppeling voor incasso opdrachten testen
- Party model (leden) uitbreiden
